I'm trying to compile they latest. But i'm getting a SEGMENTATION FAULT error.

It happens on miniruby. I found a post that said to add --enable-shared. So I did and this got me to the next file libruby.so with an error saying 'Unkown nod type 0'.

I tried it on 1.8.1 and got the same segementation fault on miniruby. --enabled-shared didn't help.

I'll keep searching and hacking but I thought I'd put this out these to see if anyone has any ideas.

thanks,
-t0

p.s. I'm doing this on GoboLinux. So maybe the alternate file hiearchry is the problem, but I doubt I would have gotten as far as did if it were.